using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_PageSystem_Select_L_Message : System.Web.UI.Page
{
    private 访问 访问;
    protected String SQL;
    protected String 数量SQL;
    protected int 留言本ID;
    protected String 返回类型;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("选择留言", "网站后台", "选择留言", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        留言本ID=Convert.ToInt32(Request.QueryString["ID"]);
        返回类型=Request.QueryString["type"];

        DataSet 数据 = (DataSet)Application["UUN_UUN3G_LiuYanBen"];

        for (int i = 0; i < 数据.Tables[0].Rows.Count; i++)
        {
            DataRow 行 = 数据.Tables[0].Rows[i];
            LiuYanBen.Items.Add(new ListItem(行["留言本名称"].ToString(), 行["ID"].ToString()));
        }

        DataRow 留言本 = 常用.获取留言本(留言本ID);

        if (留言本 == null)
            Label1.Text = "无";
        else
            Label1.Text = 留言本["留言本名称"].ToString();

        SQL = "SELECT [ID],[标题],[留言本ID] FROM [" + 程序.数据表前缀 + "其它_留言_留言]";
        数量SQL = "SELECT COUNT(ID) FROM [" + 程序.数据表前缀 + "其它_留言_留言]";

        if (留言本 == null)
        {
            SQL += " ORDER BY [ID] DESC";
        }
        else
        {
            SQL += " WHERE [留言本ID]=" + 留言本ID + " ORDER BY [ID] DESC";
            数量SQL += " WHERE [留言本ID]=" + 留言本ID;
        }

        if (!this.IsPostBack)
            生成数据();
    }

    private void 生成数据()
    {
        SqlCommand 语句 = new SqlCommand(数量SQL, 访问.连接);

        后台分页 分页 = new 后台分页(Convert.ToInt32(语句.ExecuteScalar()),
            Convert.ToInt32(Request.QueryString["page"]),
            10,
            "Select_Guestbook.aspx?ID=" + 留言本ID + "&type=" + Server.UrlEncode(返回类型));

        DataSet 数据 = new DataSet();
        语句 = new SqlCommand(SQL, 访问.连接);
        SqlDataAdapter 填充 = new SqlDataAdapter(语句);
        填充.Fill(数据, (分页.当前页 - 1) * 10, 10, "留言");

        GridView1.DataSource = 数据;
        GridView1.DataBind();

        FenYeDaiMa.Text = 分页.生成代码();
    }
}
